Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class OWLDatatypePropertyImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInArgumentImpl
          edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLPropertyImpl
              edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLDatatypePropertyImpl

All Implemented Interfaces:
  Argument, AtomArgument, BuiltInArgument, DatatypePropertyArgument, OWLDatatypeProperty, OWLProperty, PropertyArgument, PropertyValue, ResultValue, Comparable

    public class OWLDatatypePropertyImpl

extends OWLPropertyImpl
implements OWLDatatypeProperty

Constructor Summary
`OWLDatatypePropertyImpl(OWLModel owlModel, String propertyName)`
`OWLDatatypePropertyImpl(String propertyName)`

Method Summary

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLPropertyImpl
`buildOWLPropertyAssertionAxioms, compareTo, equals, getDomainClassNames, getEquivalentPropertyNames, getEquivalentPropertySuperPropertyNames, getPrefixedPropertyName, getPropertyName, getRangeClassNames, getRepresentation, getSubPropertyNames, getSuperPropertyNames, hashCode, toString`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInArgumentImpl
`getBuiltInResult, getPrefixedVariableName, getVariableName, isUnbound, isVariable, setBuiltInResult, setUnbound, setVariableName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.OWLProperty
`getDomainClassNames, getEquivalentPropertyNames, getEquivalentPropertySuperPropertyNames, getPrefixedPropertyName, getPropertyName, getRangeClassNames, getSubPropertyNames, getSuperPropertyNames`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.PropertyArgument
`getPropertyName`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.BuiltInArgument
`getBuiltInResult, getPrefixedVariableName, getVariableName, isUnbound, isVariable, setBuiltInResult, setUnbound, setVariableName`

Constructor Detail

### OWLDatatypePropertyImpl

    public OWLDatatypePropertyImpl(OWLModel owlModel,
                                   String propertyName)
                            throws OWLFactoryException

Throws:
  `OWLFactoryException`

### OWLDatatypePropertyImpl

    public OWLDatatypePropertyImpl(String propertyName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.